#*****************
# PANTALLA INICIAL
#*****************
echo "************************************"
echo "MODIFICACION DE LA BASE DE DATOS Q02"
echo "************************************"
# 
#***************************************************************
# OBTENCION DE USUARIO Y PASSWORD DE CONEXION A LA BASE DE DATOS
#***************************************************************
. n38bd 32307 01 STRING
SALIDA=$?
if [ $SALIDA -gt 0 ]
then
   echo "ERROR obtenido parámetros de conexión"
   exit 1
fi
USUARIO=`echo $STRING |cut -d '#' -f2`
PASSWORD=`echo $STRING |cut -d '#' -f3`
#
ORACLE_SID=$ORACLE_SID
export ORACLE_SID
ORACLE_HOME=$ORACLE_HOME
export ORACLE_HOME
# 
#******************************************
# VERIFICACION DE LA EXISTENCIA DE FICHEROS
#******************************************
#
DIR_CADE=/aplic/q02b/cade
DIR_SCRIPTS=/aplic/q02b/scripts
DIR_LOG=/datos/q02b/log
# 1
test -f ${DIR_SCRIPTS}/Nuevos_Literales_1.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/Nuevos_Literales_1.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
# 2
test -f ${DIR_SCRIPTS}/Q0260.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/Q0260.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
# 3
test -f ${DIR_SCRIPTS}/Update_q0296.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/Update_q0296.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
# 4
test -f ${DIR_SCRIPTS}/borra_columnas_Q0299.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/borra_columnas_Q0299.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
# 5
test -f ${DIR_SCRIPTS}/update_Q0285.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/update_Q0285.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
# 6
test -f ${DIR_SCRIPTS}/update_Q0221.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/update_Q0221.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
# 7
test -f ${DIR_SCRIPTS}/Nuevos_Literales_2.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/Nuevos_Literales_2.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
# 8
test -f ${DIR_SCRIPTS}/update_Q0299_1.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/update_Q0299_1.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi

{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/Nuevos_Literales_1.sql |tee -a ${DIR_LOG}/modifbdFase1-2.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 1\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/Q0260.sql |tee -a ${DIR_LOG}/modifbdFase1-2.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 2\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/Update_q0296.sql |tee -a ${DIR_LOG}/modifbdFase1-2.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 3\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/borra_columnas_Q0299.sql |tee -a ${DIR_LOG}/modifbdFase1-2.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 4\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/update_Q0285.sql |tee -a ${DIR_LOG}/modifbdFase1-2.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 5\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/update_Q0221.sql |tee -a ${DIR_LOG}/modifbdFase1-2.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 6\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/Nuevos_Literales_2.sql |tee -a ${DIR_LOG}/modifbdFase1-2.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 7\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/update_Q0299_1.sql |tee -a ${DIR_LOG}/modifbdFase1-2.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 8\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi
#
if [ "${?}" -ne 0 ]; then 
    echo " *************************************************"
	echo "ERROR AL ACTUALIZAR LA BASE DE DATOS\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	echo " *************************************************"
	exit
else
    echo " **************************************************"
	echo "BASE DE DATOS ACTUALIZADA CORRECTAMENTE\n"
	echo "REVISAR FICHERO LOG ${DIR_LOG}/modifbdFase1-2.log\n"
    echo " **************************************************"
fi
echo "FIN"